create view jt_test_entity_view(id, name, birthday, next_birthday) as
SELECT jt_test_entity1.id,
       jt_test_entity1.name,
       jt_test_entity1.birthday,
       jt_test_entity1.birthday +
       date_trunc('year'::text, age(clock_timestamp(), jt_test_entity1.birthday::timestamp with time zone)) +
       '1 year'::interval AS next_birthday
FROM jt_test_entity1;

alter table jt_test_entity_view
    owner to postgres;

