package com.company.jmix.test.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import jdk.jfr.Timestamp
import java.util.*
import javax.persistence.*

@JmixEntity(name = "jt_BaseEntity")
@MappedSuperclass
open class BaseEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @Temporal(TemporalType.DATE)
    @Column(name = "BIRTHDAY")
    var birthday: Date? = null
}